export async function audioAiTTS({
  host,
  text,
  speaker,
  speed,
  provider
}: {
  host: string
  text: string
  speaker: string
  speed: number
  provider: number
}) {
  const resp = await fetch(`${host}/api/live/audioAI`, {
    headers: {
      accept: 'application/json, text/plain, */*',
      'content-type': 'application/json'
    },
    body: JSON.stringify({
      type: 1,
      text,
      speaker,
      speed,
      provider,
      pause_points: [],
      sceneType: 1,
      gender: 1
    }),
    method: 'POST',
    mode: 'cors'
  })

  const res = await resp.json()
  if (res.code !== 200) throw new Error(JSON.stringify(res))
  return res.data
}
