import { PhotoScreen, ErrorScreen, VideoScreen, ShowPhoto } from '@/renderer/screens'
import { createRouter, createWebHashHistory } from 'vue-router'

export default createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      component: PhotoScreen,
      meta: {
        titleKey: '照片数字人'
      }
    },
    {
      path: '/video',
      component: VideoScreen,
      meta: {
        titleKey: '视频数字人'
      }
    },
    {
      path: '/show',
      component: ShowPhoto,
      meta: {
        titleKey: '展示数字人',
        isHeader: false
      }
    },
    {
      path: '/error',
      component: ErrorScreen,
      meta: {
        titleKey: '发生错误'
      }
    },
    {
      path: '/:pathMatch(.*)*',
      redirect: '/'
    }
  ]
})
